/**
 * Created by Tony on 2017/7/6.
 */
let mongoose = require('mongoose');
let dbm = require("../../config/db/db_manager");
let smartcostdb = dbm.getCfgConnection("scConstruct");
let Schema = mongoose.Schema;

let RptCfgSchema = new Schema({
    "typeName" : String,
    "typesDefine": [{
        "ID": Number,
        "fullName": String,
        "shortName": String,
        "items": [{
            "ID": Number,
            "fullName": String,
            "shortName": String
        }]
    }],
});

let std_glj_type_mdl = smartcostdb.model("std_glj_type", RptCfgSchema, "std_glj_type");

module.exports = std_glj_type_mdl;